#include <ESP8266WiFi.h> 
const char* ssid = "SSID";         
const char* mot_de_passe = "mot_de_passe";

void setup() { 
  Serial.begin(74800); 
  connexion_reseau();
}

void connexion_reseau(){
  delay(10);  
  Serial.print("Tentative de connexion: "); 
  Serial.println(ssid); 
  WiFi.begin(ssid, mot_de_passe);  
  while (WiFi.status() != WL_CONNECTED) { 
    delay(500); 
    Serial.print("."); 
  } 
  Serial.println("Connexion au réseau Wi-Fi réalisée"); 
  Serial.println("L'adresse IP est: "); 
  Serial.println(WiFi.localIP());
}

void loop() { 
  //Exécution de diverses tâches jusqu'à l'arrêt du µC
} 
